## org.eclipse.datatools.sqltools.sqlbuilder.views.execute
Class ParameterWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.datatools.sqltools.sqlbuilder.views.execute.ParameterWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard

    public class ParameterWizard

extends org.eclipse.jface.wizard.Wizard

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ParameterWizard(java.util.Vector parms)`

Method Summary
`java.util.Vector` `getParameterMarkers()`
`boolean` `performFinish()`
`void` `setValueMarkers(java.util.Vector v)`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterWizard

    public ParameterWizard(java.util.Vector parms)

Method Detail

### setValueMarkers

    public void setValueMarkers(java.util.Vector v)

### getParameterMarkers

    public java.util.Vector getParameterMarkers()

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`